# Update configuration

Update one or more configuration values.
Note: Configuration changes may take up to 5 minutes to take effect.
Allow for this before making dependent requests to ensure updated values have been applied.
Accepted values:
- timezone.tolerant
Allows a line item to be used up to 12 hours before its start date (UTC) and up to 12 hours after its end date (UTC), therefore making it tolerant to all time zones.
  - Supported values: true (enabled) and false (disabled).
  - Default: false
- session.charge.period
Defines the automatic charge interval for a session. Consult the user guide for more information about session automatic charging.
  - Supported values: ISO-8601 duration in the form `PTnH`, `PTnM`, or `PTnHnM`. Seconds are not supported.
    - Examples:
      - `PT1H` is every hour
      - `PT30M` is every 30 minutes
      - `PT1H30M` is every 90 minutes
    - Minimum: 10 minutes
    - Maximum: 24 hours
  - Default: `PT1H` (every hour)
- safe.repeat.request.enabled
Controls the safe retry mechanism for request processing.
When enabled, clients can safely retry a request using the same correlationId, typically when the original request has timed out. The system detects repeated requests with
the same `correlationId` header value and treats them as duplicate submissions, preventing reprocessing.
Duplicate request identifiers are retained for up to one hour; during this period, requests with the same `correlationId` are recognised as duplicates. After this period, the request is treated as new.
When disabled, repeated requests are processed as new requests without duplicate detection.
  - Supported values: true (enabled) and false (disabled).
  - Default: false
- evaluation.apis.enabled
Controls whether the evaluation APIs are enabled for the tenant.
When enabled, access requests can be evaluated with `/estimation`,`/reproduction` and `/recalculation` REST APIs.
When disabled, the evaluation APIs will return a 403 Forbidden response.
  - Supported values: true (enabled) and false (disabled).
  - Default: false

Endpoint: PATCH /provisioning/api/v1.1/configuration
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `name` (string)
    The name of the configuration, one of:
- timezone.tolerant
- session.charge.period
- safe.repeat.request.enabled
- evaluation.apis.enabled

  - `value` (string)
    The value of the configuration.

## Response 200:

  - `200` (unknown)
    Configuration was saved successfully.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 403:

  - `403` (unknown)
    Forbidden. The user is forbidden from performing this operation. Check user permissions.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

